@echo off
rem --Change the variables below to change the installation data--
rem --To install to a custom location, change destdir--
rem --Do not change name or the installer may no work correctly--
set sourcedir=.\Moletians
set name=Moletians
set destdir=C:\Program Files

rem --Display the installer info--
echo Moletians Installer
echo This program will install the Moletian files needed for Moletians to run in the correct locations.  It does not install the Java VM, which you either need to have already or should download from http://java.sun.com
echo .

rem --Make sure that the working directory contains the correct files--
if not exist "%sourcedir%\AppClasses.jar" goto wrongdir

rem echo source:%sourcedir%
rem echo dest:%destdir%

rem --Make sure that the user wants to install--
choice /C:YN Install Moletians from "%sourcedir%" to "%destdir%"
if ERRORLEVEL 2 goto cancel

rem --Install the program folder--
rem //xcopy "%sourcedir%" "%destdir%\%name%" /E /I /U
move "%sourcedir%" "%destdir%"

rem --Install the Shortcuts in the Start Menu--
if not exist "%destdir%\%name%\%name%.pif" goto nolink
mkdir "C:\Windows\Start Menu\Programs\%name%"
copy "%destdir%\%name%\%name%.pif" "C:\Windows\Start Menu\Programs\%name%\%name%.pif"
move "%destdir%\%name%\Readme.lnk" "C:\Windows\Start Menu\Programs\%name%\Readme.lnk"

:done
echo Installation Complete to "%destdir%"
pause
goto end

:nolink
echo Missing "%destdir%\%name%\%name%.pif" Shortcut, no shortcut made in Start Menu
pause
goto end

:cancel
echo No Installation was performed
pause
goto end

:wrongdir
echo This installer needs to be run from the directory that that contains the extracted "Moletians" folder to work correctly.
pause

:end
echo You may close this window if it didn't close automatically
exit